---
myst:
    html_meta:
        "description": "A collection of utilities, styling, scripts, and additional HTML content common to all ROCm project documentation"
        "keywords": "ROCm documentation configuration, ROCm documentation customization, ROCm documentation tool, ROCm docs core developer guide"
---

# ROCm Docs Core

ROCm Docs Core is a collection of utilities, styling, scripts and additional
HTML content common to all ROCm projects' documentation.

ROCm Docs Core is distributed as a pip package available from PyPi as
[rocm-docs-core](https://pypi.org/project/rocm-docs-core/)

## Overview

::::{grid} 1 1 2 2
:gutter: 1

:::{grid-item-card} {doc}`User Guide</user_guide/user_guide>`
:class-body: rocm-card-banner rocm-hue-1

- {doc}`/user_guide/spellcheck`
- {doc}`/user_guide/linting`
- {doc}`/user_guide/linking`
- {doc}`/user_guide/article_info`
- {doc}`/user_guide/doxygen_integration`

:::

:::{grid-item-card} {doc}`Developer Guide</developer_guide/developer_guide>`
:class-body: rocm-card-banner rocm-hue-6

- {doc}`/developer_guide/just`
- {doc}`/developer_guide/python_linting`
- {doc}`/developer_guide/commitizen`
- {doc}`/developer_guide/projects_yaml`
- {doc}`/developer_guide/dependabot`

:::

:::{grid-item-card} Demo Doxygen Documentation Integration
:class-body: rocm-card-banner rocm-hue-12

- {doc}`/demo/doxygen/html/index`

:::

::::
